diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -10436,23 +10470,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3471 "parsing/parser.mly"
+# 3497 "parsing/parser.mly"
                    ("=")
-# 10442 "parsing/parser.ml"
+# 10476 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10450 "parsing/parser.ml"
+# 10484 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10456 "parsing/parser.ml"
+# 10490 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10460,15 +10494,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10466 "parsing/parser.ml"
+# 10500 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10472 "parsing/parser.ml"
+# 10506 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10508,23 +10542,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3472 "parsing/parser.mly"
+# 3498 "parsing/parser.mly"
                    ("<")
-# 10514 "parsing/parser.ml"
+# 10548 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10522 "parsing/parser.ml"
+# 10556 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10528 "parsing/parser.ml"
+# 10562 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10532,15 +10566,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10538 "parsing/parser.ml"
+# 10572 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10544 "parsing/parser.ml"
+# 10578 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10580,23 +10614,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3473 "parsing/parser.mly"
+# 3499 "parsing/parser.mly"
                    (">")
-# 10586 "parsing/parser.ml"
+# 10620 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10594 "parsing/parser.ml"
+# 10628 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10600 "parsing/parser.ml"
+# 10634 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10604,15 +10638,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10610 "parsing/parser.ml"
+# 10644 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10616 "parsing/parser.ml"
+# 10650 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10652,23 +10686,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3474 "parsing/parser.mly"
+# 3500 "parsing/parser.mly"
                   ("or")
-# 10658 "parsing/parser.ml"
+# 10692 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10666 "parsing/parser.ml"
+# 10700 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10672 "parsing/parser.ml"
+# 10706 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10676,15 +10710,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10682 "parsing/parser.ml"
+# 10716 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10688 "parsing/parser.ml"
+# 10722 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10724,23 +10758,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3475 "parsing/parser.mly"
+# 3501 "parsing/parser.mly"
                   ("||")
-# 10730 "parsing/parser.ml"
+# 10764 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10738 "parsing/parser.ml"
+# 10772 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10744 "parsing/parser.ml"
+# 10778 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10748,15 +10782,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10754 "parsing/parser.ml"
+# 10788 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10760 "parsing/parser.ml"
+# 10794 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10796,23 +10830,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3476 "parsing/parser.mly"
+# 3502 "parsing/parser.mly"
                    ("&")
-# 10802 "parsing/parser.ml"
+# 10836 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10810 "parsing/parser.ml"
+# 10844 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10816 "parsing/parser.ml"
+# 10850 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10820,15 +10854,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10826 "parsing/parser.ml"
+# 10860 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10832 "parsing/parser.ml"
+# 10866 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10868,23 +10902,23 @@ module Tables = struct
           let _1 =
             let op =
               let _1 = 
-# 3477 "parsing/parser.mly"
+# 3503 "parsing/parser.mly"
                   ("&&")
-# 10874 "parsing/parser.ml"
+# 10908 "parsing/parser.ml"
                in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10882 "parsing/parser.ml"
+# 10916 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10888 "parsing/parser.ml"
+# 10922 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10892,15 +10926,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10898 "parsing/parser.ml"
+# 10932 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10904 "parsing/parser.ml"
+# 10938 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -10939,24 +10973,31 @@ module Tables = struct
         let _v : (Parsetree.expression) = let _1 =
           let _1 =
             let op =
-              let _1 = 
-# 3478 "parsing/parser.mly"
-                  (":=")
-# 10946 "parsing/parser.ml"
-               in
+              let _1 =
+                let _endpos = _endpos__1_ in
+                let _startpos = _startpos__1_ in
+                let _loc = (_startpos, _endpos) in
+                
+# 3504 "parsing/parser.mly"
+                  ( if language_level < 3
+                    then expert_exp ~loc:_loc "assign"
+                    else ":=" )
+# 10986 "parsing/parser.ml"
+                
+              in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 844 "parsing/parser.mly"
+# 852 "parsing/parser.mly"
    ( mkoperator ~loc:_sloc _1 )
-# 10954 "parsing/parser.ml"
+# 10995 "parsing/parser.ml"
               
             in
             
-# 2237 "parsing/parser.mly"
+# 2257 "parsing/parser.mly"
       ( mkinfix e1 op e2 )
-# 10960 "parsing/parser.ml"
+# 11001 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_e2_, _startpos_e1_) in
@@ -10964,15 +11005,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 10970 "parsing/parser.ml"
+# 11011 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 10976 "parsing/parser.ml"
+# 11017 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11005,9 +11046,9 @@ module Tables = struct
           let _1 =
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 2239 "parsing/parser.mly"
+# 2259 "parsing/parser.mly"
       ( mkuminus ~oploc:_loc__1_ _1 _2 )
-# 11011 "parsing/parser.ml"
+# 11052 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__2_ in
@@ -11015,15 +11056,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 11021 "parsing/parser.ml"
+# 11062 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 11027 "parsing/parser.ml"
+# 11068 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11056,9 +11097,9 @@ module Tables = struct
           let _1 =
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 2241 "parsing/parser.mly"
+# 2261 "parsing/parser.mly"
       ( mkuplus ~oploc:_loc__1_ _1 _2 )
-# 11062 "parsing/parser.ml"
+# 11103 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__2_ in
@@ -11066,15 +11107,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 11072 "parsing/parser.ml"
+# 11113 "parsing/parser.ml"
           
         in
         
-# 2146 "parsing/parser.mly"
+# 2160 "parsing/parser.mly"
       ( _1 )
-# 11078 "parsing/parser.ml"
+# 11119 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11114,9 +11155,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2148 "parsing/parser.mly"
+# 2162 "parsing/parser.mly"
       ( expr_of_let_bindings ~loc:_sloc _1 _3 )
-# 11120 "parsing/parser.ml"
+# 11161 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11156,9 +11197,9 @@ module Tables = struct
         let _3 : unit = Obj.magic _3 in
         let bindings : (Parsetree.pattern * Parsetree.expression * Parsetree.binding_op list) = Obj.magic bindings in
         let _1 : (
-# 633 "parsing/parser.mly"
+# 641 "parsing/parser.mly"
        (string)
-# 11162 "parsing/parser.ml"
+# 11203 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -11168,9 +11209,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 11174 "parsing/parser.ml"
+# 11215 "parsing/parser.ml"
           
         in
         let _startpos_pbop_op_ = _startpos__1_ in
@@ -11178,13 +11219,13 @@ module Tables = struct
         let _symbolstartpos = _startpos_pbop_op_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2150 "parsing/parser.mly"
+# 2164 "parsing/parser.mly"
       ( let (pbop_pat, pbop_exp, rev_ands) = bindings in
         let ands = List.rev rev_ands in
         let pbop_loc = make_loc _sloc in
         let let_ = {pbop_op; pbop_pat; pbop_exp; pbop_loc} in
         mkexp ~loc:_sloc (Pexp_letop{ let_; ands; body}) )
-# 11188 "parsing/parser.ml"
+# 11229 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11225,9 +11266,9 @@ module Tables = struct
         let _loc__2_ = (_startpos__2_, _endpos__2_) in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2156 "parsing/parser.mly"
+# 2170 "parsing/parser.mly"
       ( mkexp_cons ~loc:_sloc _loc__2_ (ghexp ~loc:_sloc (Pexp_tuple[_1;_3])) )
-# 11231 "parsing/parser.ml"
+# 11272 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11260,35 +11301,35 @@ module Tables = struct
         let _3 : (Parsetree.expression) = Obj.magic _3 in
         let _2 : unit = Obj.magic _2 in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 11266 "parsing/parser.ml"
+# 11307 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.expression) = let _1 =
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 11275 "parsing/parser.ml"
+# 11316 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 11283 "parsing/parser.ml"
+# 11324 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__3_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2158 "parsing/parser.mly"
+# 2172 "parsing/parser.mly"
       ( mkexp ~loc:_sloc (Pexp_setinstvar(_1, _3)) )
-# 11292 "parsing/parser.ml"
+# 11333 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11344,18 +11385,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 11350 "parsing/parser.ml"
+# 11391 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2160 "parsing/parser.mly"
+# 2174 "parsing/parser.mly"
       ( mkexp ~loc:_sloc (Pexp_setfield(_1, _3, _5)) )
-# 11359 "parsing/parser.ml"
+# 11400 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11423,9 +11464,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2162 "parsing/parser.mly"
+# 2176 "parsing/parser.mly"
       ( array_set ~loc:_sloc _1 _4 _7 )
-# 11429 "parsing/parser.ml"
+# 11470 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11493,9 +11534,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2164 "parsing/parser.mly"
+# 2178 "parsing/parser.mly"
       ( string_set ~loc:_sloc _1 _4 _7 )
-# 11499 "parsing/parser.ml"
+# 11540 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11563,9 +11604,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2166 "parsing/parser.mly"
+# 2180 "parsing/parser.mly"
       ( bigarray_set ~loc:_sloc _1 _4 _7 )
-# 11569 "parsing/parser.ml"
+# 11610 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11625,26 +11666,26 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _3 : unit = Obj.magic _3 in
         let _2 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 11631 "parsing/parser.ml"
+# 11672 "parsing/parser.ml"
         ) = Obj.magic _2 in
         let _1 : (Parsetree.expression) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__7_ in
         let _v : (Parsetree.expression) = let _4 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 11640 "parsing/parser.ml"
+# 11681 "parsing/parser.ml"
          in
         let _endpos = _endpos__7_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2168 "parsing/parser.mly"
+# 2182 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc lident bracket _2 _1 _4 _7 )
-# 11648 "parsing/parser.ml"
+# 11689 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11704,26 +11745,26 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _3 : unit = Obj.magic _3 in
         let _2 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 11710 "parsing/parser.ml"
+# 11751 "parsing/parser.ml"
         ) = Obj.magic _2 in
         let _1 : (Parsetree.expression) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__7_ in
         let _v : (Parsetree.expression) = let _4 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 11719 "parsing/parser.ml"
+# 11760 "parsing/parser.ml"
          in
         let _endpos = _endpos__7_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2170 "parsing/parser.mly"
+# 2184 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc lident paren _2 _1 _4 _7 )
-# 11727 "parsing/parser.ml"
+# 11768 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11783,26 +11824,26 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _3 : unit = Obj.magic _3 in
         let _2 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 11789 "parsing/parser.ml"
+# 11830 "parsing/parser.ml"
         ) = Obj.magic _2 in
         let _1 : (Parsetree.expression) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__7_ in
         let _v : (Parsetree.expression) = let _4 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 11798 "parsing/parser.ml"
+# 11839 "parsing/parser.ml"
          in
         let _endpos = _endpos__7_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2172 "parsing/parser.mly"
+# 2186 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc lident brace _2 _1 _4 _7 )
-# 11806 "parsing/parser.ml"
+# 11847 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11874,9 +11915,9 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _5 : unit = Obj.magic _5 in
         let _4 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 11880 "parsing/parser.ml"
+# 11921 "parsing/parser.ml"
         ) = Obj.magic _4 in
         let _3 : (Longident.t) = Obj.magic _3 in
         let _2 : unit = Obj.magic _2 in
@@ -11885,17 +11926,17 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__9_ in
         let _v : (Parsetree.expression) = let _6 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 11891 "parsing/parser.ml"
+# 11932 "parsing/parser.ml"
          in
         let _endpos = _endpos__9_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2175 "parsing/parser.mly"
+# 2189 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc (ldot _3) bracket _4 _1 _6 _9 )
-# 11899 "parsing/parser.ml"
+# 11940 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -11967,9 +12008,9 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _5 : unit = Obj.magic _5 in
         let _4 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 11973 "parsing/parser.ml"
+# 12014 "parsing/parser.ml"
         ) = Obj.magic _4 in
         let _3 : (Longident.t) = Obj.magic _3 in
         let _2 : unit = Obj.magic _2 in
@@ -11978,17 +12019,17 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__9_ in
         let _v : (Parsetree.expression) = let _6 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 11984 "parsing/parser.ml"
+# 12025 "parsing/parser.ml"
          in
         let _endpos = _endpos__9_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2178 "parsing/parser.mly"
+# 2192 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc (ldot _3) paren _4 _1 _6 _9  )
-# 11992 "parsing/parser.ml"
+# 12033 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12060,9 +12101,9 @@ module Tables = struct
         let es : (Parsetree.expression list) = Obj.magic es in
         let _5 : unit = Obj.magic _5 in
         let _4 : (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
-# 12066 "parsing/parser.ml"
+# 12107 "parsing/parser.ml"
         ) = Obj.magic _4 in
         let _3 : (Longident.t) = Obj.magic _3 in
         let _2 : unit = Obj.magic _2 in
@@ -12071,17 +12112,17 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__9_ in
         let _v : (Parsetree.expression) = let _6 = 
-# 2588 "parsing/parser.mly"
+# 2608 "parsing/parser.mly"
     ( es )
-# 12077 "parsing/parser.ml"
+# 12118 "parsing/parser.ml"
          in
         let _endpos = _endpos__9_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2181 "parsing/parser.mly"
+# 2195 "parsing/parser.mly"
       ( dotop_set ~loc:_sloc (ldot _3) brace _4 _1 _6 _9 )
-# 12085 "parsing/parser.ml"
+# 12126 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12111,9 +12152,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.expression) = 
-# 2183 "parsing/parser.mly"
+# 2197 "parsing/parser.mly"
       ( Exp.attr _1 _2 )
-# 12117 "parsing/parser.ml"
+# 12158 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12137,9 +12178,9 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.expression) = let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 2185 "parsing/parser.mly"
+# 2199 "parsing/parser.mly"
      ( not_expecting _loc__1_ "wildcard \"_\"" )
-# 12143 "parsing/parser.ml"
+# 12184 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12155,9 +12196,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (string Asttypes.loc option) = 
-# 3750 "parsing/parser.mly"
+# 3778 "parsing/parser.mly"
                     ( None )
-# 12161 "parsing/parser.ml"
+# 12202 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12187,9 +12228,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (string Asttypes.loc option) = 
-# 3751 "parsing/parser.mly"
+# 3779 "parsing/parser.mly"
                     ( Some _2 )
-# 12193 "parsing/parser.ml"
+# 12234 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12233,9 +12274,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__4_ in
         let _v : (Parsetree.extension) = 
-# 3761 "parsing/parser.mly"
+# 3789 "parsing/parser.mly"
                                              ( (_2, _3) )
-# 12239 "parsing/parser.ml"
+# 12280 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12254,9 +12295,9 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 691 "parsing/parser.mly"
+# 699 "parsing/parser.mly"
   (string * Location.t * string * Location.t * string option)
-# 12260 "parsing/parser.ml"
+# 12301 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -12265,9 +12306,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3763 "parsing/parser.mly"
+# 3791 "parsing/parser.mly"
     ( mk_quotedext ~loc:_sloc _1 )
-# 12271 "parsing/parser.ml"
+# 12312 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12320,9 +12361,9 @@ module Tables = struct
         let _v : (Parsetree.extension_constructor) = let attrs =
           let _1 = _1_inlined3 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 12326 "parsing/parser.ml"
+# 12367 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined3_ in
@@ -12332,9 +12373,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 12338 "parsing/parser.ml"
+# 12379 "parsing/parser.ml"
           
         in
         let cid =
@@ -12343,19 +12384,19 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 12349 "parsing/parser.ml"
+# 12390 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3119 "parsing/parser.mly"
+# 3139 "parsing/parser.mly"
       ( let info = symbol_info _endpos in
         Te.rebind cid lid ~attrs ~loc:(make_loc _sloc) ~info )
-# 12359 "parsing/parser.ml"
+# 12400 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12401,9 +12442,9 @@ module Tables = struct
         let _v : (Parsetree.extension_constructor) = let attrs =
           let _1 = _1_inlined2 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 12407 "parsing/parser.ml"
+# 12448 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined2_ in
@@ -12413,9 +12454,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 12419 "parsing/parser.ml"
+# 12460 "parsing/parser.ml"
           
         in
         let cid =
